InitRAM:       	
		ldi temp1, 0			;Speicherpltze initialisieren
		sts SSIntL,temp1
		sts SSIntH,temp1
		sts SSIntT1L,temp1
		sts SSIntT1H,temp1		
		sts SSErrT1L,temp1
		sts SSErrT1H,temp1
		sts SSOutL,temp1
		sts SSOutH,temp1
		ldi temp1, 1			;t setzen
		sts SSt,temp1
		ldi temp1,127
		sts SSSollwert,temp1
		ldi temp1, 0			
		sts SSKp,temp1
		ldi temp1, 16			
		sts SSKi,temp1
		ldi temp1, 0			
		sts SSKd,temp1
		ret		

InitLCD:	   
        rcall lcd_init     		;Display initialisieren
        rcall lcd_clear    		;Display lschen  		   
		rcall Zeile1
		rcall AusgTextZ1		;Text fr erste Zeile ausgeben
		rcall Zeile2
		rcall AusgTextZ2
		rcall AnzeigeZeile1		
		ret


InitTimer0:	
		in temp1, TIMSK			;TOIE0 in TIMSK setzen und damit Timer0 Int freigeben
		ori temp1, 0b00000001
		out TIMSK, temp1		
		ldi temp1, 0b00000011	;Vorteiler auf 1024 setzen -> 21,8453ms
		out TCCR0, temp1		;Timer0 fr AD-Werte einlesen
		ret

InitTimer1:	
		in temp1,TIMSK			;TOIE1 in TIMSK setzen und damit Timer1 Int freigeben
		ori temp1,0b00000100
		out TIMSK,temp1			;Timer1 laden -> Interrupttime = 100ms
		ldi temp1,Timer1H		;Timer1 fr Berechnung der PID-Regelung
		ldi temp2,Timer1L
		out TCNT1H,temp1
		out TCNT1L,temp2
		ldi temp1,0b00000011	;Vorteiler auf 64 setzen		
		out TCCR1B,temp1		;CTC1 setzen 		
		ret
		
InitTimer2:			
		lds temp1,SSOutL
		out OCR2, temp1			;OCR2 mit Anfangswerten laden
		ldi temp1,0b01101010	;WGM21:0 auf FastPWNM stellen; COM21:0 auf clear bei
		out TCCR2,temp1			;compare und set bei TOP stellen; Prescaler = 8 
		ret

InitADC:		 
		ldi temp1, 0b10001110	;ADC Initialisierung
		out ADCSR, temp1
		
		ldi Kanal,0b00100000	;Kanal 0 einstellen
		out ADMUX, Kanal
		ret

